Jump to content

Archived

This topic is now archived and is closed to further replies.

Scorpio

Recherche distribution

Recommended Posts

Bonjour à tous,

 

Je viens vers vous afin d'avoir des conseils et info.

Voilà je dispose d'un ordi Fujitsu Siemens Lifebook P1610. Sur celui ci est installé Micrrosoft Windows XP Tablet PC édition

Je souhaiterai installé une distribution à la place de Windows XP. 

 

J'aurais aimé voulu savoir si il est possible sachant que le stylet fais office de souris, se qui est pratique car on à pas besoin de se déplacer avec une souris usb.

Quel distribution linux me conseillerez vous pour se type de produit 


Dans l'attente d'une réponse de votre pars 
je vous en remercie d'avance

Bien cordialement
Scorpio

Share this post


Link to post
Share on other sites
J'avais installer déjç un Ubuntu mais cela marcher pas

Donc si je comprend bien 
1. J'installe Kubuntu
2. Regardé si j'ai le module X11
3. dans le terminale je tape
sudo setserial /dev/ttyS0 irq 4 port 0x220 autoconfig
4. Puis je tape
sudo chmod a + rwx/dev/ttyS0
 
Par contre j'y connais rien en Perl et le point 2 je ne comprend pas
 
Merci d'avance
Bien cordialement

 

Share this post


Link to post
Share on other sites

le point 2 rend executable, tout (option a pour all) et r (lecture pour read^^), w pour writable et x pour executable ton ttysO (normalement si je dis pas de connerie^^).

 

Ensuite tu lances le script.

 

edit : C'est du perl alors cherche du tuto, je pars manger^^

Share this post


Link to post
Share on other sites

Qu'est ce qui ne fonctionne pas ? Peux tu nous dire ce que tu as fait et les réponses du terminal

 

sinon il faut copier le script et l'enregistrer en .pl avec gEdit ou équivalent et lancer la commande : perl /chemin du dossier où est le script/nomduscript.pl

 

ou alors tu le rends executable : chmod +x /chemin du dossier où est le script/nomduscript.pl puis ./nomduscript.pl

Share this post


Link to post
Share on other sites

Bonjour à tous
Après une longue absence je me suis remi sur se truc ou je bloque toujours
Donc voici se que j'ai fais

je me suis mis dans mon dossier utilisateur

root@PCPORT-Xubuntu:/# cd /home/scorpio

puis créer un dossier scripts-perl

root@PCPORT-Xubuntu:/# mkdir scripts-perl

j'ai télécharger le fichier tablet6.pl ICI
et je l'ai mis dans /home/scorpio/scripts-perl/


J'ai lancer la commande

root@PCPORT-Xubuntu:/# perl -e shell -MCPAN

Voici le résultat

CPAN.pm requires configuration, but most of it can be done automatically.If you answer 'no' below, you will enter an interactive dialog for eachconfiguration option instead.Would you like to configure as much as possible automatically? [yes]Autoconfigured everything but 'urllist'.Now you need to choose your CPAN mirror sites.  You can let mepick mirrors for you, you can select them from a list or youcan enter them by hand.Would you like me to automatically choose some CPAN mirrorsites for you? (This means connecting to the Internet) [yes]Trying to fetch a mirror list from the InternetFetching with LWP:http://www.perl.org/CPAN/MIRRORED.BYLooking for CPAN mirrors near you (please be patient)........................ done!New urllist  http://www.pirbot.com/mirrors/cpan/  http://ftp.nluug.nl/languages/perl/CPAN/  http://mirrors.coreix.net/CPAN/Autoconfiguration complete.commit: wrote '/root/.cpan/CPAN/MyConfig.pm'You can re-run configuration any time with 'o conf init' in the CPAN shellTerminal does not support AddHistory.cpan shell -- CPAN exploration and modules installation (v2.00)Enter 'h' for help.

puis j'ai taper

install X11::GUITest

Voici le résultat

cpan[1]> install X11::GUITestFetching with LWP:http://www.pirbot.com/mirrors/cpan/authors/01mailrc.txt.gzReading '/root/.cpan/sources/authors/01mailrc.txt.gz'............................................................................DONEFetching with LWP:http://www.pirbot.com/mirrors/cpan/modules/02packages.details.txt.gzReading '/root/.cpan/sources/modules/02packages.details.txt.gz'  Database was generated on Thu, 10 Mar 2016 17:29:02 GMT..............  New CPAN.pm version (v2.10) available.  [Currently running version is v2.00]  You might want to try    install CPAN    reload cpan  to both upgrade CPAN.pm and run the new version without leaving  the current session...............................................................DONEFetching with LWP:http://www.pirbot.com/mirrors/cpan/modules/03modlist.data.gzReading '/root/.cpan/sources/modules/03modlist.data.gz'DONEWriting /root/.cpan/MetadataRunning install for module 'X11::GUITest'Running make for C/CT/CTRONDLP/X11-GUITest-0.28.tar.gzFetching with LWP:http://www.pirbot.com/mirrors/cpan/authors/id/C/CT/CTRONDLP/X11-GUITest-0.28.tar.gzFetching with LWP:http://www.pirbot.com/mirrors/cpan/authors/id/C/CT/CTRONDLP/CHECKSUMSChecksum for /root/.cpan/sources/authors/id/C/CT/CTRONDLP/X11-GUITest-0.28.tar.gz okScanning cache /root/.cpan/build for sizesDONE  CPAN.pm: Building C/CT/CTRONDLP/X11-GUITest-0.28.tar.gzChecking if your kit is complete...Looks goodWriting Makefile for X11::GUITestWriting MYMETA.yml and MYMETA.jsoncp GUITest.pm blib/lib/X11/GUITest.pm/usr/bin/perl /usr/share/perl/5.18/ExtUtils/xsubpp  -typemap /usr/share/perl/5.18/ExtUtils/typemap -typemap typemap  GUITest.xs > GUITest.xsc && mv GUITest.xsc GUITest.ccc -c  -I/usr/X11R6/include -I/usr/X/include -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fstack-protector -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -Wall -O2   -DVERSION=\"0.28\" -DXS_VERSION=\"0.28\" -fPIC "-I/usr/lib/perl/5.18/CORE"  -DNDEBUG -DX11_GUITEST_ALT_L_FALLBACK_META_L GUITest.cGUITest.xs:38:22: fatal error: X11/Xlib.h: Aucun fichier ou dossier de ce type #include <X11/Xlib.h>                      ^compilation terminated.make: *** [GUITest.o] Erreur 1  CTRONDLP/X11-GUITest-0.28.tar.gz  /usr/bin/make -- NOT OK'YAML' not installed, will not store persistent stateRunning make test  Can't test without successful makeRunning make install  Make had returned bad status, install seems impossibleFailed during this command: CTRONDLP/X11-GUITest-0.28.tar.gz             : make NOcpan[2]>

J'ai taper les commandes

root@PCPORT-Xubuntu:/# setserial /dev/ttyS0 irq 4 port 0x220 autoconfig
root@PCPORT-Xubuntu:/# chmod a+rwx /dev/ttyS0

J'ai taper les commandes

root@PCPORT-Xubuntu:/# cd /home/scorpio/scripts-perl/
root@PCPORT-Xubuntu:/home/scorpio/scripts-perl/# chmod +x /home/scorpio/scripts-perl/tablet6.pl

puis

root@PCPORT-Xubuntu:/home/scorpio/scripts-perl/#./tablet6.pl

Voici le résultat
 

Can't locate X11/GUITest.pm in @INC (you may need to install the X11::GUITest module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at ./tablet6.pl line 4.BEGIN failed--compilation aborted at ./tablet6.pl line 4.

Share this post


Link to post
Share on other sites

Salut,

 

Il te manque Xlib.h pour compiler le bouzin.

 

un sudo apt-get install libx11-dev devrait résoudre le problème

 

Les joies du dialogue avec le terminal

Share this post


Link to post
Share on other sites

Bonsoir et merci donc je viens d'installer libx11-dev

root@PCPORT-Xubuntu:/#apt-get update && apt-get install libx11-dev

puis je fais

root@PCPORT-Xubuntu:/# perl -e shell -MCPAN

et j'ainstalle X11::GUITest

Voici le resultat
Terminal does not support AddHistory.cpan shell -- CPAN exploration and modules installation (v2.10)Enter 'h' for help.cpan[1]> install X11::GUITestReading '/root/.cpan/Metadata'  Database was generated on Thu, 10 Mar 2016 17:29:02 GMTRunning install for module 'X11::GUITest'Checksum for /root/.cpan/sources/authors/id/C/CT/CTRONDLP/X11-GUITest-0.28.tar.gz okScanning cache /root/.cpan/build for sizes............................................................................DONE'YAML' not installed, will not store persistent stateConfiguring C/CT/CTRONDLP/X11-GUITest-0.28.tar.gz with Makefile.PLChecking if your kit is complete...Looks goodWriting Makefile for X11::GUITestWriting MYMETA.yml and MYMETA.json  CTRONDLP/X11-GUITest-0.28.tar.gz  /usr/bin/perl Makefile.PL INSTALLDIRS=site -- OKRunning make for C/CT/CTRONDLP/X11-GUITest-0.28.tar.gzcp GUITest.pm blib/lib/X11/GUITest.pm/usr/bin/perl /usr/share/perl/5.18/ExtUtils/xsubpp  -typemap /usr/share/perl/5.18/ExtUtils/typemap -typemap typemap  GUITest.xs > GUITest.xsc && mv GUITest.xsc GUITest.ccc -c  -I/usr/X11R6/include -I/usr/X/include -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fstack-protector -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -Wall -O2   -DVERSION=\"0.28\" -DXS_VERSION=\"0.28\" -fPIC "-I/usr/lib/perl/5.18/CORE"  -DNDEBUG -DX11_GUITEST_ALT_L_FALLBACK_META_L GUITest.cGUITest.xs:42:27: fatal error: X11/Intrinsic.h: Aucun fichier ou dossier de ce type #include <X11/Intrinsic.h>                           ^compilation terminated.make: *** [GUITest.o] Erreur 1  CTRONDLP/X11-GUITest-0.28.tar.gz  /usr/bin/make -- NOT OKFailed during this command: CTRONDLP/X11-GUITest-0.28.tar.gz             : make NOcpan[2]>

J'ai taper les commandes

root@PCPORT-Xubuntu:/# cd /home/scorpio/scripts-perl/

puis

root@PCPORT-Xubuntu:/home/scorpio/scripts-perl/# ./tablet6.pl

Voici le résultat
 
Can't locate X11/GUITest.pm in @INC (you may need to install the X11::GUITest module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at ./tablet6.pl line 4.BEGIN failed--compilation aborted at ./tablet6.pl line 4.

Share this post


Link to post
Share on other sites

Salut,

 

Tu vas bien y arriver à un moment donné^^.

 

Maintenant il te manque X11/Intrinsic.h

 

un sudo apt-get libxt-dev à faire

 

Un conseil en passant qui t'évitera de repasser par le fofo pour une hypothétique réponse dans les trois jours.

Le terminal donne un tas d'infos, le script d'install de GUI test te dis "make = no" et si tu remonte tu as un "fatal error :  X11/Intrinsic.h aucun fichier ou dossier de ce type", ce sont les élément qui manquent pour compiler, il te les donnera un par un par contre (il n'a pas l'air d'y avoir un readme pour les dépendances du script malheureusement), après tu fais une recherche dans les "ubuntu packages" et tu fais le apt-get install qui va bien.

 

Si tu as plus de 3 dépendances non résolues et qu'à chaque fois tu reviens sur le fofo, t'es pas rendu.

 

Bon courage

 

(edit ortho)

Share this post


Link to post
Share on other sites

×
×
  • Create New...